<?php

    // Include Vanilla theme framework initialisation script.

    require_once __DIR__ . '/inc/vanilla/init.php';



    // Include current theme configuration and its scripts.

    require_once __DIR__ . '/inc/config.php';



    //===



    add_action('customize_register','my_customize_register');
    function my_customize_register( $wp_customize ) {

        // PANELS
        $panel = 'some_panel';

        $wp_customize->add_panel( $panel, array(
           'title'       => 'Panel title',
           'description' => 'This is a description of this panel',
           'priority'    => 10
        ));

        // SECTIONS
        $section1 = 'section1';
        $section2 = 'section2';
        $section3 = 'section3';

        $wp_customize->add_section( $section1, array(
            'title'    => 'Section title',
            'priority' => 10,
            'panel'    => $panel,
        ));
        $wp_customize->add_section( $section2, array(
            'title'    => 'Section title',
            'priority' => 10,
            'panel'    => $panel,
        ));
        $wp_customize->add_section( $section3, array(
            'title'    => 'Section title',
            'priority' => 10,
            'panel'    => $panel,
        ));

        // SETTINGS
        $setting = 'setting_id';
        $wp_customize->add_setting( $setting, array(
            'type'                 => 'theme_mod', // or 'option'
            'capability'           => 'edit_theme_options',
            'theme_supports'       => '', // Rarely needed.
            'default'              => '',
            // 'transport'            => 'refresh', // or postMessage
            'transport'            => 'postMessage', 
            'sanitize_callback'    => '',
            'sanitize_js_callback' => 'setting_sanitize', // Basically to_json.
        ));

        // CONTROLS
        $wp_customize->add_control( $setting, array(
            'type' => 'text',
            'priority' => 10, // Within the section.
            'section' => $section1, // Required, core or custom.
            'label' => 'Date',
            'description' => 'This is a text control with a red border.',
            'input_attrs' => array(
                'class' => 'my-custom-class-for-js',
                'style' => 'border: 1px solid #900',
                'placeholder' => 'Type here...'
            ),
            'active_callback' => 'is_front_page'
        ));

        // POSTMESSAGE
        if ( $wp_customize->is_preview() && ! is_admin() ) {
            add_action( 'wp_footer', 'themename_customize_preview', 21 );
        }
    }

    function themename_customize_preview() { 
        $setting = 'setting_id'; ?>
        <script type="text/javascript">
            ( function( $ ) {
                wp.customize( '<?php echo $setting; ?>', function( setting ) {
                    setting.bind( function( value ) {
                        console.log( value );
                    });
                });
            })( jQuery );
        </script> <?php
    }
    
?>