<?php

    /**
     * Sets the Google maps API key for the ACF map field. 
     * 
     * @return void
     */

    function nvm_acf_set_google_maps_api_key () {
    
        acf_update_setting( 'google_api_key', VANILLA_GOOGLE_MAPS_API_KEY );

    }

    add_action( 'acf/init', 'nvm_acf_set_google_maps_api_key' );



    /**
     * Sets the default path where ACF will save JSON fields.
     * 
     * @param string $path The current path where ACF will save JSON fields. 
     * 
     * @return string The new path where ACF will save JSON fields.
     */

    function nvm_acf_json_save_point( $path ) {
        
        $path = get_stylesheet_directory() . '/inc/acf-json';
        
        return $path;
        
    }

    add_filter( 'acf/settings/save_json', 'nvm_acf_json_save_point' );



    /**
     * Sets the default path where ACF will load JSON fields from.
     * 
     * @param array $paths The current array of paths where ACF will load JSON
     *                     fields from.
     * 
     * @return array The new array of paths where ACF will load JSON fields
     *               from.
     */

    function nvm_acf_json_load_point ( $paths ) {
        
        unset( $paths[0] );
        $paths []= get_template_directory() . '/inc/acf-json';

        return $paths;
        
    }

    add_filter( 'acf/settings/load_json', 'nvm_acf_json_load_point' );

?>