<?php

    /**
     * Disallows loading of BWP Minify on production websites and allows it
     * during development based on the VANILLA_DEBUG constant and the
     * disable_minification theme option.
     * 
     * @return void
     */

    function nvm_bwp_minify_is_loadable () {

        if ( get_field( 'disable_minification', 'option' ) == true && is_user_logged_in() ) {
            return false;
        } else {
            return ! ( defined( 'VANILLA_DEBUG' ) && VANILLA_DEBUG );
        }
        
    }

    add_filter( 'bwp_minify_is_loadable', 'nvm_bwp_minify_is_loadable' );

    

    /**
     * The default BWP Minify CSS style tag has an id taken randomly from the
     * list of given CSS styles. This function totally removes it to avoid 
     * confusion. 
     * 
     * @param string $tag The HTML CSS tag to print in the head.
     * 
     * @return string The HTML CSS tag without the id attribute.
     */

    function nvm_bwp_minify_get_tag ( $tag ) {

        return preg_replace( '/\s*id=\'[^\']*\'\s*/i', ' ', $tag );

    }    

    add_filter( 'bwp_minify_get_tag', 'nvm_bwp_minify_get_tag' );

?>