<?php

    /**
     * Disables the Gravity Forms scroll document to top of form after form
     * submission feature.
     */

    add_filter( 'gform_confirmation_anchor', '__return_false' );



    /**
     * Sets a custom form submit spinner image for all Gravity Forms. 
     * 
     * @param string $image_src The url of the image.
     * 
     * @param int    $form      The ID of the form.
     * 
     * @return void
     */

    function nvm_gravity_forms_spinner_replace ( $image_src, $form ) {

        return  get_template_directory_uri() . '/img/loader.gif';

    }

    add_filter( 'gform_ajax_spinner_url', 'nvm_gravity_forms_spinner_replace', 10, 2 );



    /**
     * Replaces the {PRIVACY_POLICY} placeholder from within the contents of any
     * Gravity Forms field content with the currently selected privacy policy
     * page.
     * 
     * @param string $field_markup The markup of the field.
     * 
     * @return string The markup of the field enhanced.
     */

    function nvm_gravity_forms_set_privacy_policy_url ( $field_markup ) {

        return str_replace( '{PRIVACY_POLICY}', '<a class = "privacy-policy-link" target = "_blank" href = "' . get_privacy_policy_url() . '" title = "' . __( 'Πολιτική απορρήτου', 'nevma-theme' ) . '">' . __( 'Πολιτική απορρήτου', 'nevma-theme' ) . '</a>', $field_markup );

    }

    add_filter( 'gform_field_content', 'nvm_gravity_forms_set_privacy_policy_url' );

?>