<?php

    /**
     * Prints a list of categories related to the current post, without links
     * to their archives. 
     *
     * @return void
     */

    function nvm_list_taxonomies ( $args=array() ) {

        $args = array_merge( array(
            'taxonomy'    => 'category',
            'show_links'  => true,
            'classes'     => array(),
            'before'      => '',
            'after'       => '',
            'before_each' => '<em>',
            'after_each'  => '</em>'
        ), $args );

        $terms  = wp_get_object_terms( get_the_ID(), $args['taxonomy'] );
        $labels = get_taxonomy( $args['taxonomy'] )->labels;
        
        if ( $terms ) {

            echo '<div class = "list-taxonomies list-taxonomies-' . $args['taxonomy'] . ' ' . implode( ' ', $args['classes'] ) . '">';
            echo $args['before'] . '&mdash; ' . $labels->name . ': ';
            for ( $k=0, $length=count( $terms); $k<$length; $k++ ) {
                $term = $terms[$k];
                echo
                    $args['before_each'] . 
                        ( $args['show_links'] ? '<a href = "' . get_term_link( $term, $args['taxonomy'] ) . '" title = "' . $labels->name . '">' : '' ) . 
                            $term->name . ( $k < $length-1 ? ', ' : '' ) . 
                        ( $args['show_links'] ? '</a>' : '' ) .
                    $args['after_each'];
            }
            echo $args['after'];
            echo '</div>';

        }
    
    }

?>