<?php

    class NVM_Vanilla_Layout_Accordion extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-accordion' );
        public $panels  = null;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {
                $this->panels = get_sub_field( 'panels' );
            } else {
                $this->panels = $layout_fields['panels'];
            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   ACCORDION
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>

                    <div class = "column-100">
                        <div class = "responsiville-accordion"
                             data-responsiville-accordion-startAt = "1">
                            <?php foreach ( $this->panels as $panel ) : ?>
                                <div class = "text responsiville-accordion-panel">
                                    <div class = "responsiville-accordion-header">
                                        <h3><?php echo $panel['header']; ?></h3>
                                    </div>
                                    <div class = "responsiville-accordion-content">
                                        <?php echo $panel['content']; ?>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                    
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>