<?php

    class NVM_Vanilla_Layout_Cards extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-cards' );
        public $cards   = null;
        public $columns = null;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {
                
                $this->cards   = get_sub_field( 'cards' );
                $this->columns = get_sub_field( 'columns' );

            } else {
                
                $this->cards   = $layout_fields['cards'];
                $this->columns = $layout_fields['columns'];

            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   CARDS
            #
            ================================================================================
            --> <?php


            $this->section_start(); ?>

                <?php 
                    switch ( $this->columns ) {
                        case 1:
                            $column_classes   = 'small-column-100';
                            $grouping_classes = '';
                            break;
                        case 2:
                            $column_classes   = 'small-column-100 tablet-column-50';
                            $grouping_classes = 'tablet-group-2';
                            break;
                        case 3:
                            $column_classes   = 'small-column-100 tablet-column-33';
                            $grouping_classes = 'tablet-group-3';
                            break;
                        case 4:
                            $column_classes   = 'small-column-100 tablet-column-50 laptop-column-25';
                            $grouping_classes = 'tablet-group-2 laptop-group-4';
                            break;
                    }
                ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>

                    <div class = "responsiville-equalheights <?php echo $grouping_classes; ?>"
                         data-responsiville-equalheights-elements = ".vanilla-layout-card-item">
                        <?php foreach ( $this->cards as $card ) : ?>
                            <div class = "text <?php echo $column_classes; ?>">
                                <article class = "vanilla-layout-card-item">
                                    <?php $url = $card['is_text_url'] ? $card['text_url'] : $card['url']; ?>
                                    <a href = "<?php echo $url; ?>" title = "<?php echo $url; ?>">
                                        <div class = "vanilla-layout-card-image">
                                            <img src = "<?php echo vanilla_theme_get_image_src( $card['image'], 'thumbnail' ); ?>" alt = "<?php echo vanilla_theme_get_image_alt_html( $card['image'] ); ?>" />
                                        </div>
                                        <div class = "vanilla-layout-card-text">
                                            <?php echo $card['text']; ?>
                                        </div>
                                    </a>
                                </article>
                            </div>
                        <?php endforeach; ?>
                    </div>

                    <?php wp_reset_postdata(); ?>
                        
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>