<?php

    class NVM_Vanilla_Layout_Gallery extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-gallery' );
        public $columns = 3;
        public $images  = null;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {

                $this->images  = get_sub_field( 'images' );
                $this->columns = get_sub_field( 'columns' );

                $images = array();

                foreach ( $this->images as $image ) {
                    $images []= $image['ID'];
                }

                $this->images = $images;

            } else {

                $this->images  = $layout_fields['images'];
                $this->columns = $layout_fields['columns'];

            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   GALLERY
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>

                <?php 
                    switch ( $this->columns ) {
                        case 1:
                            $grouping_classes = '';
                            $column_classes   = 'small-column-100';
                            break;
                        case 2:
                            $grouping_classes = 'tablet-group-2';
                            $column_classes   = 'small-column-100 tablet-column-50';
                            break;
                        case 3:
                            $grouping_classes = 'tablet-group-2 laptop-group-3';
                            $column_classes   = 'small-column-100 tablet-column-50 laptop-column-33';
                            break;
                        case 4:
                            $grouping_classes = 'tablet-group-2 laptop-group-3 desktop-group-4';
                            $column_classes   = 'small-column-100 tablet-column-50 laptop-column-33 desktop-column-25';
                            break;
                    }
                ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>

                    <div class = "nexus <?php echo $grouping_classes; ?>">
                        <?php foreach ( $this->images as $image ) : ?>
                            <div class = "<?php echo $column_classes; ?>">
                                <a href = "<?php echo vanilla_theme_get_image_src( $image, 'full' ); ?>" title = "<?php echo vanilla_theme_get_image_alt_html( $image ); ?>">
                                    <img src = "<?php echo vanilla_theme_get_image_src( $image, 'thumbnail' ); ?>" alt = "<?php echo vanilla_theme_get_image_alt_html( $image ); ?>" />
                                </a>
                            </div>
                        <?php endforeach; ?>
                    </div>
                    
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>