<?php

    class NVM_Vanilla_Layout_Image_Slideshow extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-image-slideshow' );
        public $images  = null;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {

                $this->images = get_sub_field( 'images' );

                $images = array();

                foreach ( $this->images as $image ) {
                    $images []= $image['ID'];
                }

                $this->images = $images;

            } else {

                $this->images = $layout_fields['images'];

            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   IMAGE SLIDESHOW
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>

                    <div class = "column-100">
                        <div class = "responsiville-slideshow"
                             data-responsiville-slideshow-enter = "*"
                             data-responsiville-slideshow-effect = "slide"
                             data-responsiville-slideshow-resizeMode = "maxSlide">
                            <?php foreach ( $this->images as $image ) : ?>
                                <div class = "responsiville-slideshow-slide">
                                    <img src = "<?php echo vanilla_theme_get_image_src( $image, 'large' ); ?>" alt = "<?php echo vanilla_theme_get_image_alt_html( $image ); ?>" />
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                    
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>