<?php

    /**
     * Include all layout files.
     */

    require_once( 'layouts.class.php' );

    require_once( 'accordion.php' );
    require_once( 'cards.php' );
    require_once( 'divider.php' );
    require_once( 'embed.php' );
    require_once( 'four-columns-text.php' );
    require_once( 'gallery.php' );
    require_once( 'image.php' );
    require_once( 'image-slideshow.php' );
    require_once( 'map.php' );
    require_once( 'main.php' );
    require_once( 'points.php' );
    require_once( 'popup.php' );
    require_once( 'posts-list.php' );
    require_once( 'quote.php' );
    require_once( 'quote-with-image.php' );
    require_once( 'single-column-text.php' );
    require_once( 'slideshow.php' );
    require_once( 'table.php' );
    require_once( 'tabs.php' );
    require_once( 'text-image-left.php' );
    require_once( 'text-image-right.php' );
    require_once( 'text-slideshow.php' );
    require_once( 'three-columns-text.php' );
    require_once( 'two-columns-text.php' );


    
    /**
     * Outputs all the layouts registered for a given post as an ACF layouts
     * repeater. It is meant as a replacement of the `the_content`. Tt outputs
     * the main content of the post as well. Must be used within the WordPress
     * posts loop.
     * 
     * @return void
     */
    
    function nvm_layouts_the_layouts () {

        // First output the main layout with the post content. 

        echo new NVM_Vanilla_Layout_Main();

        // Then iterate over all registered layouts.

        if ( have_rows( 'layouts' ) ) {

            while ( have_rows( 'layouts' ) ) {

                the_row();

                $layout = get_row_layout();

                switch ( $layout ) {
                    case 'accordion':
                        echo new NVM_Vanilla_Layout_Accordion();
                        break;
                    case 'cards':
                        echo new NVM_Vanilla_Layout_Cards();
                        break;
                    case 'divider':
                        echo new NVM_Vanilla_Layout_Divider();
                        break;
                    case 'embed':
                        echo new NVM_Vanilla_Layout_Embed();
                        break;
                    case 'four_columns_text':
                        echo new NVM_Vanilla_Layout_Four_Columns_Text();
                        break;
                    case 'gallery':
                        echo new NVM_Vanilla_Layout_Gallery();
                        break;
                    case 'image':
                        echo new NVM_Vanilla_Layout_Image();
                        break;
                    case 'image_slideshow':
                        echo new NVM_Vanilla_Layout_Image_Slideshow();
                        break;
                    case 'map':
                        echo new NVM_Vanilla_Layout_Map();
                        break;
                    case 'points':
                        echo new NVM_Vanilla_Layout_Points();
                        break;
                    case 'popup':
                        echo new NVM_Vanilla_Layout_Popup();
                        break;
                    case 'posts_list':
                        echo new NVM_Vanilla_Layout_Posts_List();
                        break;
                    case 'quote':
                        echo new NVM_Vanilla_Layout_Quote();
                        break;
                    case 'quote_with_image':
                        echo new NVM_Vanilla_Layout_Quote_With_Image();
                        break;
                    case 'single_column_text':
                        echo new NVM_Vanilla_Layout_Single_Column_Text();
                        break;
                    case 'slideshow':
                        echo new NVM_Vanilla_Layout_Slideshow();
                        break;
                    case 'table':
                        echo new NVM_Vanilla_Layout_Table();
                        break;
                    case 'tabs':
                        echo new NVM_Vanilla_Layout_Tabs();
                        break;
                    case 'text_image_left':
                        echo new NVM_Vanilla_Layout_Text_Image_Left();
                        break;
                    case 'text_image_right':
                        echo new NVM_Vanilla_Layout_Text_Image_Right();
                        break;
                    case 'text_slideshow':
                        echo new NVM_Vanilla_Layout_Text_Slideshow();
                        break;
                    case 'three_columns_text':
                        echo new NVM_Vanilla_Layout_Three_Columns_Text();
                        break;
                    case 'two_columns_text':
                        echo new NVM_Vanilla_Layout_Two_Columns_Text();
                        break;
                    default:
                        NVM_Vanilla_Layout::generic_section_start( array( 'vanilla-layout-error' ) ); ?>
                            <div class = "panel">
                                <div class = "column">
                                    <p>
                                        Unknown layout: <strong>&laquo;<?php echo $layout; ?>&raquo;</strong>
                                    </p>
                                </div>
                            </div> <!-- .panel --> <?php
                        NVM_Vanilla_Layout::generic_section_end();
                        break;
                }

            }

        }
 
    }

?>