<?php

    class NVM_Vanilla_Layout_Map extends NVM_Vanilla_Layout {

        public $classes    = array( 'vanilla-layout-map' );
        public $map_type   = 'road';
        public $zoom_level = 8;
        public $auto_zoom  = false;
        public $points     = array();

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {

                $this->zoom_level = get_sub_field( 'zoom_level' );
                $this->auto_zoom  = get_sub_field( 'auto_zoom' );
                $this->map_type   = get_sub_field( 'map_type' );
                $this->points     = get_sub_field( 'points' );

            } else {
                
                $this->zoom_level = $layout_fields['zoom_level'];
                $this->auto_zoom  = $layout_fields['auto_zoom'];
                $this->map_type   = $layout_fields['map_type'];
                $this->points     = $layout_fields['points'];

            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   MAP
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>

                    <div class = "small-column-100">

                        <?php foreach ( $this->points as $point ) : ?>
                            <div class = "vanilla-layout-map-point hidden" 
                                 data-lat = "<?php echo $point['has_manual_coordinates'] ? $point['latitude']   : $point['point']['lat']; ?>"
                                 data-lng = "<?php echo $point['has_manual_coordinates'] ? $point['longtitude'] : $point['point']['lng']; ?>">
                                <?php if ( $point['has_info_window'] ) : ?>
                                    <h2 class = "vanilla-layout-map-point-title"><?php echo $point['title']; ?></h2>
                                    <div class = "vanilla-layout-map-point-content">
                                        <?php echo $point['content']; ?>
                                    </div>
                                    <address class="vanilla-layout-map-point-address">
                                        <?php echo $point['point']['address']; ?>
                                    </address>
                                <?php endif; ?>
                            </div>
                        <?php endforeach; ?>

                        <div class = "vanilla-layout-map-element iframe-wrapper"
                             data-zoom-level = "<?php echo $this->zoom_level; ?>"
                             data-auto-zoom  = "<?php echo $this->auto_zoom; ?>"
                             data-map-type   = "<?php echo $this->map_type; ?>">
                        </div>

                    </div>

                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>