<?php

    class NVM_Vanilla_Layout_Points extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-text', 'vanilla-layout-points' );
        public $panels  = null;
        public $columns = 1;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {

                $this->panels = get_sub_field( 'panels' );
                $this->columns = get_sub_field( 'columns' );

            } else {

                $this->panels = $layout_fields['panels'];
                $this->columns = $layout_fields['columns'];

            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   POINTS
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>
            
                <?php 
                    switch ( $this->columns ) {
                        case 1:
                            $grouping_classes = 'vanilla-layout-points-1';
                            $column_classes   = 'small-column-100';
                            $column_classes_1 = 'small-column-100 tablet-column-25';
                            $column_classes_2 = 'small-column-100 tablet-column-75';
                            break;
                        case 2:
                            $grouping_classes = 'vanilla-layout-points-2 tablet-group-2';
                            $column_classes   = 'small-column-100 tablet-column-50';
                            $column_classes_1 = 'small-column-100 tablet-column-40';
                            $column_classes_2 = 'small-column-100 tablet-column-60';
                            break;
                        case 3:
                            $grouping_classes = 'vanilla-layout-points-3 tablet-group-3';
                            $column_classes   = 'small-column-100 tablet-column-33';
                            $column_classes_1 = 'small-column-100 tablet-column-100 laptop-column-40';
                            $column_classes_2 = 'small-column-100 tablet-column-100 laptop-column-60';
                            break;
                        case 4:
                            $grouping_classes = 'vanilla-layout-points-4 tablet-group-2 laptop-group-4';
                            $column_classes   = 'small-column-100 tablet-column-50 laptop-column-25';
                            $column_classes_1 = 'small-column-100 tablet-column-40 laptop-column-100';
                            $column_classes_2 = 'small-column-100 tablet-column-60 laptop-column-100';
                            break;
                    }
                ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>
    
                    <div class = "small-column-100 <?php echo $grouping_classes; ?>">
                        <?php foreach ( $this->panels as $panel ) : ?>
                            <div class = "nexus <?php echo $column_classes; ?>">
                                <div class = "vanilla-layout-points-item clear">
                                    <div class = "<?php echo $column_classes_1; ?> vanilla-layout-points-image">
                                        <div class = "vanilla-layout-points-image-wrapper">
                                            <img src = "<?php echo vanilla_theme_get_image_src( $panel['image'], 'thumbnail' ); ?>" alt = "<?php vanilla_theme_get_image_alt_html( $panel['image'] ); ?>" />
                                        </div>
                                    </div>
                                    <div class = "<?php echo $column_classes_2; ?> text vanilla-layout-points-text">
                                        <div class = "vanilla-layout-points-text-wrapper">
                                            <?php echo $panel['content']; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </div>
                    
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>