<?php

    class NVM_Vanilla_Layout_Popup extends NVM_Vanilla_Layout {

        static $counter = 0;

        public $classes  = array( 'vanilla-layout-text', 'vanilla-layout-popup' );
        public $button   = '';
        public $contents = '';

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {

                $this->button   = get_sub_field( 'popup_button' );
                $this->contents = get_sub_field( 'popup_contents' );

            } else {

                $this->button   = $layout_fields['popup_button'];
                $this->contents = $layout_fields['popup_contents'];

            }

            NVM_Vanilla_Layout_Popup::$counter++;

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   POPUP
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>
            
                <div class = "panel">

                    <?php $this->section_title(); ?>
    
                    <div class = "column">
                        <p class = "text-center">
                            <button title = "<?php echo $this->button; ?>"
                                    class = "responsiville-popup-activator"
                                    data-responsiville-popup-element = ".vanilla-layouts-popup-<?php echo NVM_Vanilla_Layout_Popup::$counter; ?>">
                                <?php echo $this->button; ?>
                            </button>
                        </p>
                        <div class = "hidden">
                            <div class = "text vanilla-layouts-popup-<?php echo NVM_Vanilla_Layout_Popup::$counter; ?>">
                                <?php echo $this->contents; ?>
                            </div>
                        </div>
                    </div>
                    
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>