<?php

    class NVM_Vanilla_Layout_Quote_With_Image extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-quote-with-image' );
        public $text    = null;
        public $image   = 0;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {

                $this->text  = get_sub_field( 'text' );
                $this->image = get_sub_field( 'image' );

            } else {

                $this->text  = $layout_fields['text'];
                $this->image = $layout_fields['image'];

            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   QUOTE WITH IMAGE
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>

                <?php $this->section_title(); ?>

                <div class = "vanilla-layout-quote-with-image-inner responsiville-parallax"
                     style = "transform: translate3d(0, 0, 0); background: url(<?php echo vanilla_theme_get_image_src( $this->image, 'full' ); ?>) no-repeat 50% 50%;"
                     data-responsiville-parallax-enter      = "*"
                     data-responsiville-parallax-throttle   = "10"
                     data-responsiville-parallax-duration   = "10"
                     data-responsiville-parallax-properties = '{
                         "background-position-x" : { "from": 50, "to" : 50, "unit": "%" },
                         "background-position-y" : { "from": 100, "to" : 0, "unit": "%" }
                     }'>

                    <div class = "vanilla-layout-quote-with-image-text">
                        <div class = "panel">
                            <div class = "text">
                                <?php echo $this->text; ?>
                            </div>
                        </div> <!-- .panel -->
                    </div>
                    
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>