<?php

    class NVM_Vanilla_Layout_Slideshow extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-slideshow' );
        public $slides  = null;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {
                $this->slides = get_sub_field( 'slides' );
            } else {
                $this->slides = $layout_fields['slides'];
            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   SLIDESHOW
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>

                    <div class = "column-100">
                        <div class = "responsiville-slideshow"
                             data-responsiville-slideshow-enter = "*"
                             data-responsiville-slideshow-effect = "slide"
                             data-responsiville-slideshow-resizeMode = "maxSlide">
                            <?php foreach ( $this->slides as $slide ) : ?>
                                <div class = "responsiville-slideshow-slide">
                                    <img src = "<?php echo vanilla_theme_get_image_src( $slide['image'], 'large' ); ?>" alt = "<?php echo vanilla_theme_get_image_alt_html( $slide['image'] ); ?>" />
                                    <div class = "responsiville-slideshow-slide-text">
                                        <?php echo $slide['text']; ?>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                    
                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>