<?php
    
    class NVM_Vanilla_Layout_Table extends NVM_Vanilla_Layout {

        public $classes = array( 'vanilla-layout-text', 'vanilla-layout-table' );
        public $table   = null;

        public function __construct( array $layout_fields=null ) {

            parent::__construct( $layout_fields );

            if ( $layout_fields == null ) {
                $this->table = get_sub_field( 'table' );
            } else {
                $this->table = $layout_fields['table'];
            }

        }

        public function layout() { ?>
            
            <!--
            ================================================================================
            #
            #   TABLE
            #
            ================================================================================
            --> <?php

            $this->section_start(); ?>

                <div class = "panel">

                    <?php $this->section_title(); ?>

                    <div class = "column text">
                        <?php if ( $this->table ) : ?>
                            <table>
                                <?php if ( $this->table['header'] ) : ?>
                                    <thead>
                                        <tr>
                                            <?php foreach ( $this->table['header'] as $th ) : ?>
                                                <th><?php echo $th['c']; ?></th>
                                            <?php endforeach; ?>
                                        </tr>
                                    </thead>
                                <?php endif; ?>
                                <?php if ( $this->table['body'] ) : ?>
                                    <tbody>
                                        <?php foreach ( $this->table['body'] as $tr ) : ?>
                                            <tr>
                                                <?php foreach ( $tr as $td ) : ?>
                                                    <td><?php echo $td['c']; ?></td>
                                                <?php endforeach; ?>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                <?php endif; ?>
                            </table>
                        <?php endif; ?>
                    </div>

                </div> <!-- .panel --> <?php

            $this->section_end();

        }

    }

?>