<!DOCTYPE html>

<html lang = "en">

    <head>



        <meta charset = "utf-8" />
        <meta name = "viewport" content = "width=device-width, initial-scale=1, user-scalable=1, minimal-ui" />
        <meta http-equiv = "X-UA-Compatible" content = "IE=edge,chrome=1" />
        <title>Responsiville &mdash; Grid system, CSS reset, HTML5 framework, by Nevma &copy;</title>
        <link rel = "shortcut icon" type = "image/ico" href = "https://www.nevma.gr/favicon.ico" />



        <!-- Responsiville CSS files -->

        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.def.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.bugsy.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.moressette.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.ingrid.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.accordion.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.drawers.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.megamenu.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.mobimenu.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.popup.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.scrollmenu.css" />
        <link rel = "stylesheet" type = "text/css" href = "../css/responsiville.slideshow.css" />

        <!-- Third party CSS files -->

        <link rel = "stylesheet" href = "https://fonts.googleapis.com/css?family=Averia+Serif+Libre:300,300i">
        <link rel = "stylesheet" href = "https://fonts.googleapis.com/css?family=Lato:300,300i,400,400i">
        <link rel = "stylesheet" href = "https://fonts.googleapis.com/css?family=Anonymous+Pro:400,400i">

        <link rel = "stylesheet" type = "text/css" href = "prism/prism.css" />

        <!-- Current page styles -->

        <link rel = "stylesheet" type = "text/css" href = "css/style.css" />



        <!-- Third party Javascript libraries -->

        <script type = "text/javascript" charset = "utf-8" src = "js/jquery-3.1.0.min.js"></script>

        <script type = "text/javascript" charset = "utf-8" src = "../../base/js/velocity.min.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../../base/js/hammer.min.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../../base/js/jquery.hammer.js"></script>

        <script type = "text/javascript" charset = "utf-8" src = "prism/prism.js"></script>

        <script type = "text/javascript" charset = "utf-8" src = "beautify/beautify.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "beautify/beautify-css.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "beautify/beautify-html.js"></script>

        <!-- Responsiville init variables -->

        <script type = "text/javascript">

            RESPONSIVILLE_AUTO_INIT = true;
            RESPONSIVILLE_DEBUG     = true;

        </script>

        <!-- Responsiville Javascript files -->

        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.def.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.bugsy.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.events.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.main.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.main.run.js"></script>

        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.accordion.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.equalheights.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.drawers.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.lazymg.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.megamenu.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.mobimenu.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.parallax.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.popup.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.responsiveelement.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.scrollmenu.js"></script>
        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.slideshow.js"></script>

        <script type = "text/javascript" charset = "utf-8" src = "../js/responsiville.run.js"></script>

        <!-- Entry script -->

        <script type = "text/javascript" charset = "utf-8" src = "js/functions.js"></script>



    </head>



    <body>

        <main class = "wrapper row">



            <aside class = "sidebar small-column-100 laptop-column-20">

                <header class = "sidebar-header row">
                    <a href = "index.php">
                        <div class = "responsiville-logo"></div>
                    </a>
                </header>

                <nav class = "main-navigation navigation vertical">
                    <ul>
                        <li>
                            <a href = "index.php">About</a>
                            <ul>
                                <li><a href = "installing.php">Installing</a></li>
                                <li><a href = "initialising.php">Initialising</a></li>
                                <li><a href = "api.php">API</a></li>
                                <li><a href = "icons.php">Icons</a></li>
                                <li><a href = "license.php">Licence</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href = "grid.php">The grid</a>
                            <ul>
                                <li><a href = "grid-building.php">Grid building</a></li>
                                <li><a href = "responsive-grid.php">Responsive grid</a></li>
                                <li><a href = "css-variables.php">CSS variables</a></li>
                                <li><a href = "css-reset.php">CSS reset</a></li>
                            </ul>
                        </li>
                        <li>
                            <a href = "modules.php">Modules</a>
                            <ul>
                                <li><a href = "events.php">Events</a></li>
                                <li><a href = "main.php">Main</a></li>
                                <li><a href = "accordion.php">Accordion</a></li>
                                <li><a href = "equalheights.php">Equalheights</a></li>
                                <li><a href = "drawers.php">Drawers</a></li>
                                <li><a href = "lazymg.php">Lazymg</a></li>
                                <li><a href = "megamenu.php">Megamenu</a></li>
                                <li><a href = "mobimenu.php">Mobimenu</a></li>
                                <li><a href = "parallax.php">Parallax</a></li>
                                <li><a href = "popup.php">Popup</a></li>
                                <li><a href = "responsiveelement.php">Responsive Element</a></li>
                                <li><a href = "scrollmenu.php">Scrollmenu</a></li>
                                <li><a href = "slideshow.php">Slideshow</a></li>
                            </ul>
                        </li>
                    </ul>
                </nav> <!-- .main-navigation -->

            </aside> <!-- .sidebar -->



            <section class = "content small-column-100 laptop-column-80 laptop-margin-20">



                <header class = "header-credits">
                    <p>
                        Responsiville framework &copy; 2014-<?php echo date( 'Y' ); ?> Nevma.gr
                    </p>
                </header> <!-- .header-credits -->