/**
 * Image loading effects functions.
 */

jQuery( function ( $ ) {

    // Do something when an image has loaded. 

    $( '.imgload-lazy' ).each( function () {

        var $this = $( this );

        image_before_load( $this );
    
        if ( this.complete || this.readyState === 4 ) {

            // Image already loaded or cached.
            image_loaded( $this );

        } else {

            // Image is currently being loaded. 
            $this.on( 'load', function () {   
                image_loaded( $this );
            });

        }
        
    });



    // The actual function to run before the image has started loading.

    function image_before_load ( $img ) {

        $img.addClass( 'imgloaded-not-yet' );
        
    }



    // The actual function to run when the image has loaded.

    function image_loaded ( $img ) {

        $img.removeClass( 'imgloaded-not-yet' );
        $img.addClass( 'imgloaded-complete' );

    }

});