/**
 * Runs on page DOMContentLoaded.
 */

jQuery( function ( $ ) {

    // Common anchor popup parameters.

    var anchorPopupParameters = {
        popupParameters: {
            startZIndex: 999
        }
    };

    // Thumbnail popups in captioned images.

    $( '.wp-caption a' ).anchorPopup( anchorPopupParameters );

    // Thumbnail popups in galleries.

    $( '.gallery' ).each( function () {
        $( this ).find( '.gallery-icon a' ).anchorPopup( anchorPopupParameters );
    });

    // Thumbnail popups in usual images.

    $( '[class*=size]' ).each( function () {

        var $parent = $( this ).parent();

        if ( $parent.is( 'a' ) ) {
            $parent.addClass( 'thumbnail-wrapper' );
        }

        if (   $parent.is( 'a' ) && 
             ! $parent.parent().is( '.wp-caption' ) &&
             ! $parent.parent().is( '.gallery-icon' ) ) {

            $parent.anchorPopup( anchorPopupParameters );

        }

    });



    // Fix greek uppercase characters.

    $( '.uppercase' ).greekUppercase();

});