/**
 * Search form related functions.
 */

jQuery( function ( $ ) {

    // Cache important DOM elements. 

    var $body              = $( document.body );
    var $searchWrapper     = $( '.search-wrapper' );
    var $searchContainer   = $( '.search-container' );
    var $openSearchButton  = $( '.open-search-button' );
    var $closeSearchButton = $( '.close-search-button' );

    

    // Search overaly open button handler.

    $openSearchButton.on( 'click', function () {
    
        $body.addClass( 'search-wrapper-open-body' );
        $searchWrapper.addClass( 'search-wrapper-open' );

        $.get( VANILLA.AJAX_URL, { action: 'nvm_get_search_form' }, function ( data ) {
        
        
            $searchContainer.html( data );

            var $searchField = $searchWrapper.find( '.search-field' );
            $searchField.focus();
            
        });

        return false;
        
    });



    // Search form overlay close button handler.

    $closeSearchButton.on( 'click', function () {
    
        $body.removeClass( 'search-wrapper-open-body' );
        $searchWrapper.removeClass( 'search-wrapper-open' );

        return false;
        
    });



    // Close search form overlay on Escape key..

    $body.keydown( function ( event ) {

        var ESCAPE_KEY_CODE = 27;
        var keyPressed = event.charCode || event.keyCode;
        if ( keyPressed == ESCAPE_KEY_CODE ) {
            $closeSearchButton.trigger( 'click' );
        }

    });

});