<?php get_header(); ?>

<article class = "entry">



    <!--
    ================================================================================
    #
    #   PORTFOLIO HEADER
    #
    ================================================================================
    -->

    <header class = "content row text">

        <?php NVM_Vanilla_Layout::generic_section_start( array( 'vanilla-layout-header' ) ); ?>

            <div class = "panel">
                <div class = "column">
                    <h1><?php the_title(); ?></h1>
                    <p class = "article-date">
                        &mdash; <?php _e( 'Ημερομηνία', 'nevma-theme' ) ?>: <?php the_time( 'l, d F Y' ); ?>
                    </p>
                    <?php nvm_list_taxonomies( array( 'taxonomy' => 'projects' ) ); ?>
                </div>
            </div> <!-- .panel -->

        <?php NVM_Vanilla_Layout::generic_section_end(); ?>

        <?php if ( has_post_thumbnail() ) : ?>

            <?php NVM_Vanilla_Layout::generic_section_start( array( 'vanilla-layout-header' ) ); ?>
                <div class = "panel">
                    <div class = "column">
                        <p><?php the_post_thumbnail( 'large' ); ?></p>
                    </div>
                </div> <!-- .panel -->
            <?php NVM_Vanilla_Layout::generic_section_end(); ?>

        <?php endif; ?>

    </header>



    <!--
    ================================================================================
    #
    #   PORFTOLIO CONTENTS
    #
    ================================================================================
    -->

    <section class = "content row">

        <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

            <?php nvm_layouts_the_layouts(); ?>

            <?php NVM_Vanilla_Layout::generic_section_start( array( 'vanilla-layout', 'vanilla-layout-combine-with-next', 'portfolio-images' ) ); ?>

                <div class = "panel nexus">
                    <?php if ( have_rows( 'images' ) ) : ?>
                        <?php while ( have_rows( 'images' ) ) : the_row(); ?>
                            <div class = "small-column-100 tablet-column-50 laptop-column-33">
                                <?php $image = get_sub_field( 'image' ); ?>
                                <a href = "<?php echo vanilla_theme_get_image_src( $image, 'full' ); ?>" title = "<?php echo vanilla_theme_get_image_alt_html( $image ); ?>">
                                    <img src = "<?php echo vanilla_theme_get_image_src( $image, 'thumbnail' ); ?>" alt = "<?php echo vanilla_theme_get_image_alt_html( $image ); ?>" />
                                </a>
                            </div>
                        <?php endwhile; ?>
                    <?php endif; ?>
                </div> <!-- .panel -->
            
            <?php NVM_Vanilla_Layout::generic_section_end(); ?>
            
            <?php NVM_Vanilla_Layout::generic_section_start( array( 'vanilla-layout' ) ); ?>
            
                <div class = "panel">
                    <div class = "colun-100 hard-clear">
                        <p class = "text-center">
                            <a class = "button" href = "<?php echo get_post_type_archive_link( 'portfolio' ); ?>" title = "<?php _e( 'Our work', 'nevma-theme' ); ?>">
                                <?php _e( 'Our work', 'nevma-theme' ); ?>
                            </a>
                        </p>
                    </div>
                </div> <!-- .panel -->
                
            <?php NVM_Vanilla_Layout::generic_section_end(); ?>

        <?php endwhile; endif; ?>

    </section> <!-- .content -->



</article> <!-- .entry -->

<?php get_footer(); ?>